<div class="container">
    <div class="row">
        <div class="col-md-12 p-0">
            <div class="text-center myErr" *ngIf="showErr">
                <p class="text-danger" >Please enter valid credentials&hellip;</p>
            </div>
            <div class="login-form">
                <form id="form1" (ngSubmit)="onLoginSubmit(myForm)" #myForm="ngForm" autocomplete='off'>
                    <div class="avatar"><i class="material-icons">&#xE7FF;</i></div>
                    <h4 class="modal-title">Login to Your Account</h4>

                    <div class="form-group">
                        <label for="exampleInputEmail1">Email address</label>
                        <input name="email" ngModel required type="email" class="form-control is-valid" placeholder="Enter email" #emailErr="ngModel" pattern="^([a-zA-Z0-9_\-\.]{3,10})@([a-zA-Z0-9_\-\.]{5,10})\.([a-zA-Z]{2,5})$">
                        <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
                        <div class="valid-feedback" *ngIf="emailErr.errors && (emailErr.dirty || emailErr.touched)">
                            <div [hidden]="!emailErr.errors.required">
                                Email is required!
                            </div>
                            <div [hidden]="!emailErr.errors?.pattern">
                                Please enter an valid email address !
                            </div>
                        </div>
                        <div class="valid-feedback" *ngIf="emailDup == true">
                            Email already exist!
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="exampleInputPassword1">Password</label>
                        <input name="password" ngModel required type="password" class="form-control is-valid" placeholder="Password" #passErr="ngModel" pattern="^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])(?!.*\s).{6,}$">
                        <div class="valid-feedback" *ngIf="passErr.errors && (passErr.dirty || passErr.touched)">
                            <div [hidden]="!passErr.errors.required">
                                Password is required !
                            </div>
                            <div [hidden]="!passErr.errors?.pattern">
                                Please enter an valid Password !
                            </div>
                        </div>
                    </div>
                    <button type="submit" [disabled]="myForm.invalid" class="btn btn-primary ">Login</button>
                </form>

            </div>
        </div>
    </div>
</div>

<ng-template #errorLogin let-c="close" let-d="dismiss">
    <div class="modal-header">
        <h6 class="modal-title">Incorrect username and password</h6>
        <button type="button" class="close" aria-label="Close" (click)="c('Close click')" >
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">
        <p>Please enter valid credentials&hellip;</p>
    </div>
</ng-template>
